---
layout: default
permalink: /
---
<div class="publication">
  <div class="pub-header">

<?php
// Defina o caminho para o diretório base
$baseDir = '/nethome';

// Abra o diretório base
if ($handle = opendir($baseDir)) {

    echo "<h1>Lista de Usuários</h1>";
    echo "<ul>";

    // Itera sobre os itens no diretório
    while (false !== ($entry = readdir($handle))) {

        // Ignora "." e ".."
        if ($entry != "." && $entry != "..") {

            // Verifica se o item é um diretório
            if (is_dir($baseDir . '/' . $entry)) {

                // Cria o link para o public_html do usuário
                $userPublicHtml = "/~$entry";

                echo "<li><a href='$userPublicHtml'>$entry</a></li>";
            }
        }
    }

    echo "</ul>";

    // Fecha o diretório
    closedir($handle);
} else {
	echo "<p>Não foi possível acessar o diretório.</p>";
}
?>
</div>
</div>
